Name:           python-feast
Version:        0.50.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python SDK for Feast

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/feast-dev/feast
Source:         %{pypi_source feast}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'feast' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-feast
Summary:        %{summary}

%description -n python3-feast %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-feast aws,azure,cassandra,ci,clickhouse,couchbase,delta,dev,docling,docs,duckdb,elasticsearch,faiss,gcp,ge,go,grpcio,hazelcast,hbase,ibis,ikv,k8s,mcp,milvus,minimal,minimal-sdist-build,mssql,mysql,nlp,opentelemetry,postgres,postgres-c,pytorch,qdrant,rag,redis,setuptools,singlestore,snowflake,spark,sqlite-vec,trino


%prep
%autosetup -p1 -n feast-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x aws,azure,cassandra,ci,clickhouse,couchbase,delta,dev,docling,docs,duckdb,elasticsearch,faiss,gcp,ge,go,grpcio,hazelcast,hbase,ibis,ikv,k8s,mcp,milvus,minimal,minimal-sdist-build,mssql,mysql,nlp,opentelemetry,postgres,postgres-c,pytorch,qdrant,rag,redis,setuptools,singlestore,snowflake,spark,sqlite-vec,trino


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-feast -f %{pyproject_files}


%changelog
%autochangelog